Bug 138806 - alsa appears broken with snd_emu10k1
alsa appears broken with snd_emu10k1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 05:02 EST by Ron McKown
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-25 09:05:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ron McKown 2004-11-11 05:02:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I did not have this issue with Fedora Core 2.

I did a fresh install of Fedora Core 3, and noticed that when
compiling sound applications that were ALSA only, they compiled fine
but wouldn't work.

I then noticed that XMMS also needed to use the OSS output device. 
Upon further investigation, I ran alsamixer with these results:
alsamixer: function snd_ctl_open failed for default: No such file or
directory

i then tried this:
strace -eopen alsamixer

which produced this:
open("/dev/snd/controlC1", O_RDWR)      = -1 ENOENT (No such file or
directory)
open("/dev/snd/controlC1", O_RDONLY)    = -1 ENOENT (No such file or
directory)

lspci:
02:02.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1
(rev 05)
02:02.1 Input device controller: Creative Labs SB Live! MIDI/Game Port
(rev 05)

Basically, in my case, native ALSA applications are broken.  The only
workaround at the moment is to use OSS output and depend on the ALSA
OSS emulation to function.

I have scanned the mailing list as well as had some conversations with
folks at #fedora (IRC), and although some folks are reporting similar
problems, I was unable to find a bug entry.  Here it is.


Version-Release number of selected component (if applicable):
alsa-lib-1.0.6-3

How reproducible:
Always

Steps to Reproduce:
1.fresh install of FC3.
2.alsamixer reports an error
3.any ALSA only apps fail to output sound with error.
    

Additional info:
Comment 1 Bill Nottingham 2004-11-11 14:30:28 EST
Is your module loaded? What *is* in /dev/snd?
Comment 2 Ron McKown 2004-11-11 15:12:58 EST
my contents of /dev/snd:
crw-------   1 ron  root 116,  0 Nov 11 22:59 controlC0
crw-------   1 ron  root 116,  4 Nov 11 22:59 hwC0D0
crw-------   1 ron  root 116,  8 Nov 11 22:59 midiC0D0
crw-------   1 ron  root 116, 24 Nov 11 22:59 pcmC0D0c
crw-------   1 ron  root 116, 16 Nov 11 22:59 pcmC0D0p
crw-------   1 ron  root 116, 25 Nov 11 22:59 pcmC0D1c
crw-------   1 ron  root 116, 26 Nov 11 22:59 pcmC0D2c
crw-------   1 ron  root 116, 18 Nov 11 22:59 pcmC0D2p
crw-------   1 ron  root 116, 33 Nov 11 22:59 timer

also my lsmod:
emu10k1_gp              3649  0
snd_emu10k1            93769  2
snd_rawmidi            26725  1 snd_emu10k1
snd_pcm_oss            47609  0
snd_mixer_oss          17217  2 snd_pcm_oss
snd_pcm                97993  2 snd_emu10k1,snd_pcm_oss
snd_timer              29765  1 snd_pcm
snd_seq_device          8137  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         64401  1 snd_emu10k1
snd_page_alloc          9673  2 snd_emu10k1,snd_pcm
snd_util_mem            4801  1 snd_emu10k1
snd_hwdep               9413  1 snd_emu10k1
snd                    54053  11
snd_emu10k1,snd_rawmidi,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_hwdep
soundcore               9889  2 snd
emu10k1_gp              3649  0

I've done more looking around and google searching, but I've come up
with nothing.  
Again, OSS emulation support works perfectly, other than rendering my
ALSA only apps useless.
Comment 3 Bill Nottingham 2004-11-11 15:33:12 EST
Can you attach /etc/asound.conf?
Comment 4 Bill Nottingham 2004-11-11 15:33:31 EST
and /etc/modprobe.conf?
Comment 5 Ron McKown 2004-11-11 15:52:50 EST
/etc/asound.conf:
# Generated by system-config-soundcard, do not edit by hand
pcm.!default { type hw card 1 }
ctl.!default { type hw card 1 }

/etc/modprobe.conf
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-emu10k1 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
Comment 6 Bill Nottingham 2004-11-11 16:02:34 EST
Change 'card 1' to 'card 0' in /etc/asound.conf.
Comment 7 Ron McKown 2004-11-11 16:10:43 EST
aha, Bill, that was the problem!

I'm not familiar with the /etc/asound.conf file, but I am going to
become familiar with it, starting now.

I have no clue how the values were set to 1 in the first place.  

Again, thanks Bill, you're a real star.

Note You need to log in before you can comment on or make changes to this bug.